- release_tracks: [ALPHA]

  help_text:
    brief: List Google Distributed Cloud API keys.
    description: Lists Google Distributed Cloud API keys.
    examples: |
      To list Google Distributed Cloud API keys in project `test-project` and location `us-central1`, run:

      $ {command} --location=us-central1 --project=test-project

  request:
    collection: edgecontainer.projects.locations.apiKeys
    ALPHA:
      api_version: v1alpha

  response:
    id_field: name

  arguments:
    resource:
      help_text: Parent Google Cloud location to list all API keys.
      spec: !REF googlecloudsdk.command_lib.edge_cloud.api_key.resources:location
